#delimit;
clear all;
set memory 200m;

/*Set data directory:*/
/*Craig directories:*/
global data "C:\Users\ctmcintosh\Documents\Projects\Habitat\Final_data\";
global work "C:\Users\ctmcintosh\Documents\Projects\Habitat\Spring_12\";
global work2 "C:\Users\ctmcintosh\Documents\Projects\Habitat\Fall_12\";
global date "160720";
cd "$work";

/*Outcome groups to be used with the short-form weights (meaning that these questions are present for both samples)*/

global balance "Disp_Serv_Bas_Rel Satis_Cond_Fis  m_Factor_C ";

global balance2 "Disp_Agua Disp_Pavimento Disp_Infra_Bas brick_walls bathroom flush_toilet home_owner conoce_habitat";

global attribution "conoce_habitat conoce_nonhabitat recibido_habitat recibido_nonhabitat";		

global transporte "Tiempo_Trasla_Min_CentroCd Tiempo_Trasla_Min_Mercado Tiempo_Trasla_Min_Tiendita 
	Tiempo_Trasla_Min_Policia Tiempo_Trasla_Min_Kinder Tiempo_Trasla_Min_Primaria Tiempo_Trasla_Min_Secundaria
	Tiempo_Trasla_Min_Biblioteca Tiempo_Trasla_Min_Cecut Tiempo_Trasla_Min_Guarderia Tiempo_Trasla_Min_ServMedicos 
	Tiempo_Trasla_Min_Farmacia Tiempo_Trasla_Min_Parada Tiempo_Trasla_Min_Parque
	Tiempo_Trasla_Min_Iglesia Tiempo_Trasla_Min_Banco Tiempo_Trasla_Min_CComunit Tiempo_Trasla_Min_CDeporte 
	Tiempo_Trasla_Min_TaqueRest";



	
	
/*New Globals Oct 2012:*/
/*SHORT-FORM:*/
global infrastructure "Disp_Infra_Bas Disp_Agua	Disp_Drenaje	Disp_Luz Alumbrado_Siempre_Enc Disp_Guarniciones	Disp_Banquetas	Disp_Pavimento  ";


global d_infrastructure "d_Disp_Agua	d_Disp_Drenaje	d_Disp_Luz d_Alumbrado_Siempre_Enc d_Disp_Guarniciones	d_Disp_Banquetas	d_Disp_Pavimento  d_Disp_Rec_Basura
		d_Disp_Infra_Bas d_sat_all";
global amenities "cdc_exists cdc_use park_exists library_exists sport_exists course_use ailment_any test_any time_mean   satd_all ";
global investment " brick_walls  concrete_floor kitchen bathroom flush_toilet septic piped_water   home_owner f_banca_privada rent_usd ";


global crime_youth "yth_act_01 yth_act_02 yth_act_03 yth_act_04 yth_act_05 yth_act_06 yth_act_07 yth_act_08 yth_act_09 yth_act_10 yth_act_11 
	yth_problem_01 yth_problem_02 yth_problem_03 yth_problem_04 yth_problem_05 yth_problem_06 yth_problem_07 yth_problem_08 yth_problem_09
	crm_01 crm_02 crm_03 crm_04 crm_05 crm_06 crm_07 crm_08 crm_09 crm_10 crm_11 crm_12  crm_accuse crm_avoid_all";
	
	
/*LONG-FORM:*/
global social_cap_new "particip_all particip_out_all borrow_money  neighbor_relations  conf_agree_total informed";
global crime_new "crm_12mo crm_01 crm_avoid_all conflict_sum";
global youth_new "yth_problem_all yth_problem_01 yth_problem_05 yth_problem_08 yth_act_02 yth_act_05 yth_act_08 ";
global politics "local_rep	rep_useful";
global d_social_cap_new "d_particip_all d_particip_out_all d_borrow_money  d_neighbor_relations  d_conf_agree_total d_informed";
global d_crime_new "d_crm_12mo d_crm_01 d_crm_avoid_all d_conflict_sum";


global sc_new "icsgpf2 conf_agree_total crm_12mo crm_01 crm_avoid_all yth_problem_05 yth_problem_08 yth_act_02 yth_act_05 ";
global sc_middle  "$sc_new icsgpvne2 particip_all particip_out_all borrow_money  neighbor_relations   informed conflict_sum  crm_accuse";
global sc_all "$sc_middle yth_act_01 yth_act_03 yth_act_04  yth_act_06 yth_act_07 yth_act_08 yth_act_09 yth_act_10 yth_act_11 
		yth_problem_01 yth_problem_02 yth_problem_03 yth_problem_04 yth_problem_06 yth_problem_07 yth_problem_09
		crm_02 crm_03 crm_04 crm_05 crm_06 crm_07 crm_08 crm_09 crm_10 crm_11 crm_12 ";
global sc_all_r "crm_12mo crm_01 crm_avoid_all yth_problem_05 yth_problem_08 yth_act_02 yth_act_05
particip_all particip_out_all borrow_money  neighbor_relations  conf_agree_total informed conflict_sum  crm_accuse
	yth_act_01 yth_act_03 yth_act_04  yth_act_06 yth_act_07 yth_act_08 yth_act_09 yth_act_10 yth_act_11 
		yth_problem_01 yth_problem_02 yth_problem_03 yth_problem_04 yth_problem_06 yth_problem_07 yth_problem_09";





use "$data\PANEL_Base vivienda $date.DTA", clear;

merge m:1 N_POLIGONO round using "$data\sc_polig2";

gen renter = 0 if (V3_21B!=.);
replace renter=1 if (V3_21B==6);
gen bl_renter1 = 0 if (renter!=. & round==1);
replace bl_renter = 1 if (renter==1 & round==1);
egen bl_renter = max(bl_renter1), by(N_MANZANA);


/*Bringing in the property price data:*/
tostring N_POLIGONO, gen(n_poligo);
drop _merge;
/*new dataset with deflation done using the city-specific real-estate price index:*/
merge m:1 n_poligo using "C:\Users\ctmcintosh\Documents\Projects\Habitat\Fall_12\Habitat_437_2009_2012_polygon.dta";

egen price_muni = mean(valor_co_09), by(cve_mun);
egen price_state = mean(valor_co_09), by(cve_edo);
gen bl_price = valor_co_09;
replace bl_price = price_muni if bl_price==.;
replace bl_price = price_state if bl_price==.;


foreach x in valor_co_09 precios_diferencia valor_co_12{;
	gen `x'_usd = `x'/13.12;
		};

gen lvalor_09 = ln(valor_co_09);
gen lvalor_12 = ln(valor_co_12);
gen lprecios_diferencia = ln(precios_diferencia);	





/*Calculating Manzana-level means for interaction analysis on migration:*/
foreach x in    icsgpf2 crm_12mo Disp_Infra_Bas kitchen bathroom flush_toilet rent_usd bl_price{;
	egen pm1_`x' = mean(`x') if round==1, by(N_MANZANA);
	egen pm2_`x' = mean(pm1_`x'), by(N_MANZANA);
	egen pm3_`x' = mean(pm2_`x');
	gen pm_`x' = pm2_`x' - pm3_`x';
	gen `x'_treat = pm_`x' * treat;
	};
drop pm1* pm2* pm3*;


/*Removing all identifiers from the data:*/
drop folio N_MANZANA DD1 AA1 A1 A2 B1 calle N_EXT N_INT col DESCRIP1 N_VIS1 DD_V1 MM_V1 AA_V1 RES_V1 HH_I1 MM_I1 HH_T1 MM_T1 nombrei encu super vali
 captur V3_16TO_* FOLIO2 nom_edo abre_edo cve_loc nom_loc cve_ageb CVE_MZA cve_manz vivienda cve_sun8 zap_09 zm zmciudad No_Mun_Filtro
 N_POLIGONO2 descrip CVE_AGEB ZAP_09 RES_HOG_FINAL CVE_LOC NOM_LOC CD_SUN08 one nobs b_Disp_Infra_Bas d_Disp_Infra_Bas b_Disp_Agua d_Disp_Agua
 b_Disp_Drenaje d_Disp_Drenaje b_Disp_Luz d_Disp_Luz b_Alumbrado_Siempre_Enc d_Alumbrado_Siempre_Enc b_Disp_Guarniciones d_Disp_Guarniciones 
 b_Disp_Banquetas d_Disp_Banquetas b_Disp_Pavimento d_Disp_Pavimento b_particip_all d_particip_all b_particip_out_all d_particip_out_all b_borrow_money 
 d_borrow_money b_neighbor_relations d_neighbor_relations b_conf_agree_total d_conf_agree_total b_informed d_informed b_crm_12mo d_crm_12mo b_crm_01 
 d_crm_01 b_crm_avoid_all d_crm_avoid_all b_conflict_sum d_conflict_sum b_yth_problem_all d_yth_problem_all b_yth_problem_01 d_yth_problem_01 b_yth_problem_05 
 d_yth_problem_05 b_yth_problem_08 d_yth_problem_08 b_yth_act_02 d_yth_act_02 b_yth_act_05 d_yth_act_05 b_yth_act_08 d_yth_act_08 b_brick_walls d_brick_walls 
 b_adobe_walls d_adobe_walls b_tiled_roof d_tiled_roof b_concrete_floor d_concrete_floor b_kitchen d_kitchen b_bathroom d_bathroom b_piped_water d_piped_water 
 b_water_pressure d_water_pressure b_satd_02 d_satd_02 b_time_mean d_time_mean b_Tiempo_Trasla_Min_Mercado d_Tiempo_Trasla_Min_Mercado;

save "C:\Users\ctmcintosh\Documents\Projects\Habitat\Second Resubmit AEJ App\to Copy Editing\Replication Files\Habitat_Household_Data_for_Replication.dta";

use "C:\Users\ctmcintosh\Documents\Projects\Habitat\Second Resubmit AEJ App\to Copy Editing\Replication Files\Habitat_Household_Data_for_Replication.dta", clear;



STOP;


/**************************************************************************************************************************************************

										ANALYSIS SECTION:
										
**************************************************************************************************************************************************/



/****************************************************************************/



/*TABLE 1:  ATTRITION:*/
#delimit;
/*First look at whether attrition at the municipal level is correlated with baseline outcomes:*/
regr dropped_muni treat if round==1 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2 treat  using balance, nolabel ctitle(mun_t) replace;
regr dropped_muni treat $balance if round==1 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2 treat $balance  using balance, nolabel ctitle(mun_t) append;
/*Then looking at whether attrition at the block level is correlated with baseline outcomes*/
regr dropped_manzdv treat   if round==1 & dropped_muni==0 [pweight=m_Factor_C] ,  cluster(N_POLIGONO);
outreg2 treat $balance  using balance, nolabel ctitle(manz_t) append;
regr dropped_manzdv treat $balance   if round==1  & dropped_muni==0 [pweight=m_Factor_C] ,  cluster(N_POLIGONO);
outreg2 treat $balance  using balance, nolabel ctitle(manz_t) append;
/*Then attrition from the panel of HOUSES at R1, meaning finding a resident in the same house regardless of whether the same person:*/
regr dropped_house treat if round==1 & dropped_muni==0 & dropped_manzdv==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2 treat  using balance, nolabel ctitle(house_t) append;
regr dropped_house treat $balance if round==1 & dropped_muni==0 & dropped_manzdv==0  [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2 treat $balance  using balance, nolabel ctitle(house_t) append;
/*Then attrition from the panel of HOUSEHOLDS at R1, meaning finding a resident in the same house regardless of whether the same person:*/
regr dropped_hh treat if round==1 & dropped_muni==0 & dropped_manzdv==0  & dropped_house==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2 treat  using balance, nolabel ctitle(hh_t) append;
regr dropped_hh treat $balance if round==1 & dropped_muni==0 & dropped_manzdv==0 & dropped_house==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2 treat $balance  using balance, nolabel ctitle(hh_t) append;


/*TABLE 6:  Renters vs Homeowners.  Direct analysis of migration as an outcome*/
#delimit;
regr dropped_hh  treat if sample_PANEL==1 & round==2 & bl_renter==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2  treat using table1,  nolabel  ctitle(straight) replace;
cap gen poly_mean = .; cap gen treat_int = .; cap gen ind_mean=.;  cap gen treat_intind = .;
foreach x in Disp_Infra_Bas  icsgpf2 bl_price{;
	replace poly_mean = pm_`x';
	replace treat_int = `x'_treat;
	regr dropped_hh treat treat_int poly_mean if sample_PANEL==1 & round==2  & bl_renter==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2  treat treat_int poly_mean  using table1,  nolabel  ctitle(`x') append;
	};
regr dropped_hh  treat if sample_PANEL==1 & round==2 & bl_renter==1 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2  treat using table1,  nolabel  ctitle(straight) append;
foreach x in Disp_Infra_Bas icsgpf2 rent_usd{;
	replace poly_mean = pm_`x';
	replace treat_int = `x'_treat;
	regr dropped_hh treat treat_int poly_mean if sample_PANEL==1 & round==2  & bl_renter==1 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2  treat treat_int poly_mean  using table1,  nolabel  ctitle(`x') append;
	};

	
	
/*TABLE 7: Stayers versus movers, SC Index variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua    [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2  using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in   index_sc_participation index_sc_trust index_sc_security index_sc_youth  {;
	reg `x'  treat_r2  r2   _IN_* if sample_PANEL==1   [pweight=m_Factor_L] ,  cluster(cve_mun);
	outreg2 treat_r2  r2  using table1,  nolabel nocons ctitle(`x', all) append;
	};
foreach x in   index_sc_participation index_sc_trust index_sc_security index_sc_youth  {;
	reg `x'  treat_r2  r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2  r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2  r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};	
foreach x in   index_sc_participation index_sc_trust index_sc_security index_sc_youth  {;
	reg `x' treat_dropped_hh_r2 dropped_hh_r2 dropped_hh treat_r2  r2   _IN_* if sample_PANEL==1   [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_dropped_hh_r2 dropped_hh_r2 dropped_hh treat_r2  r2  using table1,  nolabel nocons ctitle(`x') append;		
	};
#delimit;
sum  index_sc_participation index_sc_trust index_sc_security index_sc_youth if round==1 & treat==0 [aw=m_Factor_L];
sum  index_sc_participation index_sc_trust index_sc_security index_sc_youth if round==1 & treat==0  & dropped_hh==0 [aw=m_Factor_L];
sum  index_sc_participation index_sc_trust index_sc_security index_sc_youth if round==1 & treat==0  & dropped_hh==1 [aw=m_Factor_L];
foreach x in   index_sc_participation index_sc_trust index_sc_security index_sc_youth  {;
	regr `x' dropped_hh if round==1 & treat==0 [aw=m_Factor_L];
	};


/*APPENDIX TABLE A4:  STAYERS VS MOVERS, INFRASTRUCTURE VARIABLES:*/
/*Stayers versus movers,  infrastructure variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in $infrastructure  {;
	regr `x' dropped_hh  _IN_* if sample_PANEL==1 & round==2 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2 dropped_hh using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};
/*Stayers versus movers,  investment variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in $investment  {;
	regr `x' dropped_hh  _IN_*  if sample_PANEL==1 & round==2 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2 dropped_hh using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};	

	
	
	
	
/****************************************************************************/
/*THIS IS THE CODE TO CREATE A DATASET OF POLYGON_LEVEL AVERAGES FOR THE SHORT_FORM SURVEY QUESTIONS.*/
/*SHORT FORM QUESTIONS*/
#delimit;
egen sum_Factor_C1 = sum(m_Factor_C) if sample_PANEL==1 & round==1, by(N_POLIGONO round);
egen sum_Factor_C = mean(sum_Factor_C1) if sample_PANEL==1, by(N_POLIGONO);
egen sum_Factor_S1 = sum(wgt_sat) if sample_PANEL==1 & round==1, by(N_POLIGONO round);
egen sum_Factor_S = mean(sum_Factor_S1) if sample_PANEL==1, by(N_POLIGONO);
egen count_Factor_C1 = count(m_Factor_C) if sample_PANEL==1 & round==1, by(N_POLIGONO round);
egen count_Factor_C = mean(count_Factor_C1) if sample_PANEL==1, by(N_POLIGONO);
collapse $infrastructure $investment $attribution satis* crm_12mo sum_Factor_C dropped_hh sum_Factor_S treat_r2 sat sat_treat treat r2 cve_mun count_Factor_C if sample_PANEL==1 [pweight=m_Factor_Corto_Vivienda], by(N_POLIGONO round);
gen sum_Factor = sum_Factor_C;
gen dropped_hh_r2 = dropped_hh * r2;



/*TABLE 2:  Balance Tests:*/	
#delimit;
regr Disp_Agua  treat  [pweight=sum_Factor_C], cluster(N_POLIGONO);
outreg2 treat using balance,  nolabel nocons ctitle(RESET) replace;
*foreach x in $infrastructure  brick_walls concrete_floor flush_toilet home_owner crm_12mo  {;
foreach x in $infrastructure   {;
	reg `x'  treat   if round==1 [pweight=sum_Factor_C], cluster(cve_mun);	
	outreg2  treat  using balance, nolabel nocons ctitle(`x') append;
	};

/*TABLE 3:  Public Infrastructure Impacts Table with polygon fixed effects:*/
#delimit;
regr Disp_Agua treat_r2 r2 [pweight=sum_Factor_C], robust;
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(RESET) replace;
foreach x in $infrastructure satis_colon_fis satis_colon_soc {;
	xtreg `x' treat_r2  r2 [pweight=sum_Factor_C], i(N_POLIGONO) fe cluster(cve_mun);
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(`x',polyFE) append;
	};


/*TABLE 4:  Private Investment Impacts Table:*/
#delimit;
regr Disp_Agua treat_r2 r2 [pweight=sum_Factor_C], robust;
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(RESET) replace;
foreach x in $investment  {;
	xtreg `x' treat_r2  r2 [pweight=sum_Factor_C], i(N_POLIGONO) fe cluster(cve_mun);
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(`x',polyFE) append;
	};


	

/****************************************************************************/
		
/*THIS IS THE CODE TO CREATE A DATASET OF POLYGON_LEVEL AVERAGES FOR THE LONG_FORM SURVEY QUESTIONS.*/
#delimit;
egen sum_Factor_L1 = sum(m_Factor_L) if sample_PANEL==1 & round==1, by(N_POLIGONO round);
egen sum_Factor_L = mean(sum_Factor_L1) if sample_PANEL==1, by(N_POLIGONO);
egen count_Factor_L1 = count(m_Factor_L) if sample_PANEL==1 & round==1, by(N_POLIGONO round);
egen count_Factor_L = mean(count_Factor_L1) if sample_PANEL==1, by(N_POLIGONO);
collapse  $sc_all_r $infrastructure $investment index_* youth* satis* sum_Factor_L  treat_r2 sat sat_treat treat r2 cve_mun count_Factor_L if sample_PANEL==1 [pweight=m_Factor_Largo], by(N_POLIGONO round);
merge 1:1 N_POLIGONO round using "$data\sc_polig2";
gen rent_missing = (rent_usd==.);
replace rent_usd = 0 if rent_usd==.;



/*TABLE 1 PART B:  Balance Tests:*/	
#delimit;
regr Disp_Agua  treat  [pweight=sum_Factor_L], cluster(N_POLIGONO);
outreg2 treat using balance,  nolabel nocons ctitle(RESET) replace;
/*Simple treatment-control comparison, weighted and clustered at municipal level (as in rest of analysis).*/
foreach x in    icsgpf2  index_health crm_12mo index_sc_participation index_sc_trust index_sc_security index_sc_youth {;
	reg `x'  treat  if round==1 [pweight=sum_Factor_L], cluster(cve_mun);	
	outreg2  treat  using balance, nolabel nocons ctitle(`x') append;
	};
sum icsgpf2  index_health crm_12mo index_sc_participation index_sc_trust index_sc_security index_sc_youth if round==1 & treat==0 [aw=sum_Factor_L];


/*TABLE A5:  Social capital/Crime Impacts*/
#delimit;
regr Disp_Agua treat_r2 r2 [pweight=sum_Factor_L], robust;
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(RESET) replace;
foreach x in   $sc_new  {;
	xtreg `x' treat_r2  r2  [pweight=sum_Factor_L], i(N_POLIGONO) fe cluster(cve_mun);
	outreg2 treat_r2  r2  using impact, nolabel nocons stats(coef pval) ctitle(`x',PolyFE) append;
	};
*/

/*Just Social Capital Impacts, using Different Specifications*/
#delimit;
preserve;
sort N_POLIGONO round;
gen xlag = icsgpf2[_n-1] if N_POLIGONO==N_POLIGONO[_n-1] & round==2;  
gen weightlag = sum_Factor_L[_n-1] if N_POLIGONO==N_POLIGONO[_n-1] & round==2; 
reg icsgpf2  treat_r2 if round==2 [pweight=sum_Factor_L],  cluster(cve_mun);
outreg2 treat_r2  using impact, nolabel nocons stats(coef pval) ctitle(r2 cross section) replace;
reg icsgpf2  treat_r2  r2 treat   [pweight=sum_Factor_L],  cluster(cve_mun);
outreg2 treat_r2  r2 treat  using impact, nolabel nocons stats(coef pval) ctitle(simple DID) append;
xtreg icsgpf2 treat_r2  r2  [pweight=sum_Factor_L], i(N_POLIGONO) fe cluster(cve_mun);
outreg2 treat_r2  r2  using impact, nolabel nocons stats(coef pval) ctitle(Poly FE) append;
reg icsgpf2 treat_r2 xlag [pweight=sum_Factor_L] if round==2, cluster(cve_mun);
outreg2 treat_r2 xlag using impact, nolabel nocons ctitle(ANCOVA) append;



	
/*Stayers versus movers, SC variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
*foreach x in icsgpf2 {;
foreach x in conf_agree_total crm_12mo crm_01 crm_avoid_all yth_problem_05 yth_problem_08 yth_act_02 yth_act_05  {;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1   [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', all) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};
	
/*Stayers versus movers, Index variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in index_transport index_health index_localinf  index_sc_participation index_sc_trust index_sc_security index_sc_youth {;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};
	
	



/*APPENDIX TABLE A5:  Social capital/Crime Impacts*/
#delimit;
regr Disp_Agua treat_r2 r2 [pweight=sum_Factor_L], robust;
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(RESET) replace;
foreach x in   $sc_new  {;
	xtreg `x' treat_r2  r2  [pweight=sum_Factor_L], i(N_POLIGONO) fe cluster(cve_mun);
	outreg2 treat_r2  r2  using impact, nolabel nocons stats(coef pval) ctitle(`x',PolyFE) append;
	};
*/



/*APPENDIX TABLE A6:  Is a metric of predicted crime changes balanced across T & C?*/
#delimit;
preserve;
xi i.cve_mun;
sort N_POLIGONO round;
regr Disp_Agua treat [pweight=sum_Factor_L], robust;
	outreg2 treat_r2  r2 using impact, nolabel nocons ctitle(RESET) replace;
/*writing changes on to the baseline*/
foreach x in Disp_Infra_Bas index_satis_infrastructure index_satis_community index_transport index_health index_localinf  index_sc_participation index_sc_trust index_sc_security index_sc_youth {;
	gen `x'_c = `x'[_n+1] - `x' if N_POLIGONO==N_POLIGONO[_n+1];
	/*first predicting the changes in crime using the control group baseline:*/
	reg `x'_c $infrastructure  brick_walls  concrete_floor kitchen bathroom flush_toilet septic piped_water   home_owner f_banca_privada [pweight=sum_Factor_L] if round==1 & treat==0, cluster(cve_mun);
	/*apply these predictions to T & C alike:*/
	predict `x'_c_h if round==1;
	reg `x'_c_h  treat  if round==1 [pweight=sum_Factor_L], cluster(cve_mun);
	outreg2 treat  using impact, nolabel  ctitle(`x') append;
	};
*/




























/**************************************************************************************************************************************************

										PICTURES:
										
**************************************************************************************************************************************************/


















/*Direct analysis of migration as an outcome.  Where is it happening?*/
#delimit;
regr dropped_hh  treat if sample_PANEL==1 & round==2 & bl_renter==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2  treat using table1,  nolabel  ctitle(straight) replace;
cap gen poly_mean = .; cap gen treat_int = .; cap gen ind_mean=.;  cap gen treat_intind = .;
foreach x in Disp_Infra_Bas  icsgpf2 bl_price{;
	replace poly_mean = pm_`x';
	replace treat_int = `x'_treat;
	regr dropped_hh treat treat_int poly_mean if sample_PANEL==1 & round==2  & bl_renter==0 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2  treat treat_int poly_mean  using table1,  nolabel  ctitle(`x') append;
	};
regr dropped_hh  treat if sample_PANEL==1 & round==2 & bl_renter==1 [pweight=m_Factor_C] ,  cluster(cve_mun);
outreg2  treat using table1,  nolabel  ctitle(straight) append;
foreach x in Disp_Infra_Bas icsgpf2 rent_usd{;
	replace poly_mean = pm_`x';
	replace treat_int = `x'_treat;
	regr dropped_hh treat treat_int poly_mean if sample_PANEL==1 & round==2  & bl_renter==1 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2  treat treat_int poly_mean  using table1,  nolabel  ctitle(`x') append;
	};


/*Stayers versus movers,  infrastructure variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in $infrastructure  {;
	regr `x' dropped_hh  _IN_* if sample_PANEL==1 & round==2 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2 dropped_hh using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};


/*Stayers versus movers,  investment variables:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in $investment  {;
	regr `x' dropped_hh  _IN_*  if sample_PANEL==1 & round==2 [pweight=m_Factor_C] ,  cluster(cve_mun);
	outreg2 dropped_hh using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==0  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', stayers) append;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1 & dropped_hh==1  [pweight=m_Factor_C] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x', movers) append;	
	};	
	
	

/*mechanism control of moving as the reason for the R2 treatment effect:*/
#delimit;
preserve;
xi i.N_POLIGONO;
regr Disp_Agua  treat  [pweight=m_Factor_C], cluster(N_POLIGONO);
outreg2 treat using table1,  nolabel nocons ctitle(RESET) replace;
foreach x in index_transport index_health index_localinf  index_sc_participation index_sc_trust index_sc_security index_sc_youth {;
	reg `x'  treat_r2 treat r2   _IN_* if sample_PANEL==1   [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x') append;	
	reg `x' dropped_hh_r2 dropped_hh treat_r2 treat r2   _IN_* if sample_PANEL==1   [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 dropped_hh_r2 dropped_hh treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x') append;	
	reg `x' treat_dropped_hh_r2 dropped_hh_r2 dropped_hh treat_r2 treat r2   _IN_* if sample_PANEL==1   [pweight=m_Factor_L] ,  cluster(cve_mun);	
	outreg2 treat_dropped_hh_r2 dropped_hh_r2 dropped_hh treat_r2 treat r2  using table1,  nolabel nocons ctitle(`x') append;	
	};
	

	
	
	
	
/*propensity to have your road paved by Habitat:*/
#delimit;
preserve;
rename d_Tiempo_Trasla_Min_Mercado bill;
gen constr_pav1 = constr_pavimen_alt if round==2;
egen constr_pav = mean(constr_pav1), by(manz_id);
probit constr_pav Disp_Pavimen  steep time_mean   
	 Satis_3_30_9    sport_exists  adobe_walls tiled_roof concrete_floor
	  bathroom  piped_water  conoce_opo conoce_hab conoce_dif conoce_tuc conoce_dis hhs_in_residence  satd_03 satd_07 satd_10   sat_all
	 TIPO_VIV  V3_30_02 vivienda  
		if round==1 & treat==1 & sample_PANEL==1 [pw=m_Factor_C];
predict road_hat if round==1;
gen road_hat_t = road_hat if treat==1;
gen road_hat_c = road_hat if treat==0;
gen road_hat_tt = road_hat if treat==1 & constr_pav==1;
*tw kdensity road_hat_t, lpattern(.) legend(label(1 "All Treatment")) || kdensity road_hat_c, lpattern(_.) legend(label(2 "All Control"))|| 
	kdensity road_hat_tt, legend(label(3 "Actually Treated")) lwidth(thick) title("Densities of Propensity score, by group")
	subtitle("Propensity to have Road Paved by Habitat");

/*Defining the variable for PSMatching; should be missing in treatment if not treated:*/
egen rh2 = mean(road_hat), by(manz_id);
replace rh2 = . if round==1;
replace rh2 = . if constr_pavimen_alt == 0 & treat == 1;
gen bdp = b_Disp_Pavimen;
/*Running regressions:*/
xi i.cve_mun;
reg bill treat   _Icve_mun*  if sample_PANEL==1 & round==2 [pweight=m_Factor_L] , cluster(N_POLIGONO);
outreg2 treat  using balance, nolabel ctitle(Pavimen, itt) replace;
reg bill any_constr_pavimen  b_Disp_Pavimen  _Icve_mun* if sample_PANEL==1 & round==2 [pweight=m_Factor_L] , cluster(N_POLIGONO);
outreg2 any_constr_pavimen  using balance, nolabel ctitle(tot) append;


/*Defining Deciles of variables: (write variables across which deciles are being defined on next line)*/
foreach y in rh2  {;
	forval x = 10(10)90 {;
		egen ycut_`x' =pctile(`y'), p(`x');
		};
	egen ycut_min=min(`y');
	egen ycut_max=max(`y');

	gen `y'_decile = 0 if `y'>=ycut_min & `y'<=ycut_10;
	forval x = 10(10)80 {;
		local z = `x' + 10;
		replace `y'_decile = `x' if  `y' > ycut_`x' & `y'  <= ycut_`z';
		};
	replace `y'_decile = 100 if `y'>ycut_90 & `y'<=ycut_max;
	drop ycut_* ;
	};
reg bill any_constr_pavimen  b_Disp_Pavimen rh2_dec* _Icve_mun* if sample_PANEL==1 & round==2 [pweight=m_Factor_L] , cluster(N_POLIGONO);
outreg2 any_constr_pavimen  using balance, nolabel ctitle(tot) append;

nnmatch bill any_constr_pavimen rh2 bdp if round==2 [pw=m_Factor_L], m(1) tc(att) bias(bias)  metric(maha) ;
outreg2 any_constr_pavimen  using balance, nolabel ctitle(nnmatch) append;
restore;












/*Here are two ways of getting at the number of viviendas in treatment polygons that give roughly the same answer:*/
/*METHOD 1:  Look at the variable obs at the end of this*/
/*Total number of square meters of lots in treatment polygons:*/
#delimit;
*preserve;
/*Square meters per surveyed lot:*/
replace V3_25_1=. if V3_25_1>93;
replace V3_25_2=. if V3_25_2>93;
gen m2 =  V3_25_1 * V3_25_2;
/*only baseline treated houses:*/
keep if (round==1 & treat==1);
/*only study municipalities:*/
drop if dropped_mun==1;
/*redoing the weights to reflect the missing area values in the sum:*/
gen novalue = 0;
replace novalue = 1 if (m2==.);
egen nonefrac = mean(novalue), by(N_POLIGONO);
gen allfrac = 1-nonefrac;
gen m_Factor_new = m_Factor_C*(1/allfrac);
gen obs = 1;
drop if m2==.;
collapse (sum) m2 obs [pw=m_Factor_new];
sum m2 obs;

/*METHOD 2:*/
#delimit;
preserve;
/*only baseline treated houses:*/
keep if (round==1 & treat==1);
/*only study municipalities:*/
drop if dropped_mun==1;
collapse vivienda, by(manz_id);
collapse (sum) vivienda;
list;
restore


/*Summary of fraction of households benefitting from Habitat:*/
#delimit;
*preserve;
keep if treat==1;
keep if round==2;
collapse constr_agua_alt  constr_alumbrado_alt  constr_cdc_alt  constr_drenaje_alt  constr_elec_alt  constr_guarnic_alt  
	constr_mit_riesgos_alt  constr_otro_alt  constr_pavimen_alt [pw=m_Factor_C];
browse;
list;
restore;








/*Analysis of actual beneficiaries versus the control:*/
#delimit;
preserve;
gen bdg = b_Disp_Guarnic;
gen bdp = b_Disp_Pavimen;
gen bda = b_Disp_Agua;
xi i.cve_mun;
reg d_Disp_Pavimen treat   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
outreg2 treat  using balance, nolabel ctitle(Pavimen, itt) replace;
reg d_Disp_Pavimen any_constr_pavimen  b_Disp_Pavimen  _Icve_mun* if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
outreg2 any_constr_pavimen  using balance, nolabel ctitle(tot) append;
nnmatch d_Disp_Pavimen any_constr_pavimen bdg bdp bda if round==2, m(1) exact(cve_mun) tc(att) bias(bias) robust(4) metric(maha);
outreg2 any_constr_pavimen  using balance, nolabel ctitle(nnmatch) append;



reg d_Disp_Guarnic treat   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
outreg2 treat  using balance, nolabel ctitle(Guarnic) append;
reg d_Disp_Guarnic any_constr_guarnic  b_Disp_Guarnic  _Icve_mun* if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
outreg2 any_constr_guarnic  using balance, nolabel ctitle(Guarnic) append;


foreach x in $social_largo2 {;
	reg d_`x'   constr_cdc_alt    constr_guarnic_alt constr_pavimen_alt
	   b_Disp_Infra_Bas  _Icve_mun* if sample_PANEL==1  [pweight=m_Factor_L] , cluster(N_POLIGONO);
	outreg2   constr_cdc_alt    constr_guarnic_alt constr_pavimen_alt  using balance, nolabel ctitle(`x') append;
	};

/*additional beneficiaries regressions:*/
#delimit;
xi i.cve_mun;
reg d_Disp_Agua treat   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Agua constr_agua   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Agua constr_agua b_Disp_Agua   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Agua constr_agua    _Icve_mun*  if sample_PANEL==1 & b_Disp_Agua==0 [pweight=m_Factor_C] , cluster(N_POLIGONO);

#delimit;
reg d_Disp_Alumbrado treat   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Alumbrado constr_alumbrado imp_alumbrado  _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Alumbrado constr_alumbrado  imp_alumbrado b_Disp_Alumbrado  _Icve_mun* if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Alumbrado constr_alumbrado  imp_alumbrado _Icve_mun* if sample_PANEL==1 & b_Disp_Alumbrado==0 [pweight=m_Factor_C] , cluster(N_POLIGONO);

#delimit;
reg d_Disp_Drenaje treat   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Drenaje constr_drenaje   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Drenaje constr_drenaje  b_Disp_Drenaje  _Icve_mun* if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Drenaje constr_drenaje   _Icve_mun* if sample_PANEL==1 & b_Disp_Drenaje==0 [pweight=m_Factor_C] , cluster(N_POLIGONO);


#delimit;
reg d_Disp_Infra_Bas treat   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
outreg2 treat  using balance, nolabel ctitle(Infra_Bas) append;
*reg d_Disp_Infra_Bas constr_sum   _Icve_mun*  if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
reg d_Disp_Infra_Bas constr_sum  b_Disp_Infra_Bas  _Icve_mun* if sample_PANEL==1  [pweight=m_Factor_C] , cluster(N_POLIGONO);
outreg2 constr_sum  using balance, nolabel ctitle(Infra_Bas) append;
*reg d_Disp_Infra_Bas constr_sum   _Icve_mun* if sample_PANEL==1 & b_Disp_Infra_Bas==0 [pweight=m_Factor_C] , cluster(N_POLIGONO);





