#delimit;
clear all;
set memory 200m;

/*Set data directory:*/
/*Craig directories:*/
global data "C:\Users\ctmcintosh\Documents\Projects\Habitat\Final_data\";
global work "C:\Users\ctmcintosh\Documents\Projects\Habitat\Spring_12\";
global date "170512";
cd "$work";

use "C:\Users\ctmcintosh\Documents\Projects\Habitat\Fall_12\real_estate_polygon_level.dta", replace;

xi i.cve_mun;
/*TABLE 5 PROPERTY PRICE IMPACTS:*/
#delimit;
reg any_precio treat  b_Disp_Serv_Bas b_Disp_Infra_Bas houses  [pweight=houses], cluster(cve_mun);
outreg2 treat b_Disp_Serv_Bas b_Disp_Infra_Bas houses using RE, nolabel replace;
/*Baseline balance in the attrited sample*/
reg valor_co_09_usd  treat   [pweight=houses], cluster(cve_mun) ;
outreg2 treat  using RE, nolabel  append;
reg valor_co_09_usd  treat  _Icve_mun*   [pweight=houses] , cluster(cve_mun);
outreg2 treat  using RE, nolabel  append;
/*DID impacts:*/
reg precios_diferencia_usd treat , cluster(cve_mun);
test treat=2.625;
outreg2 treat  using RE, nolabel addstat(F test: (treat=2.625),  r(p)) append;
reg precios_diferencia_usd treat   [pweight=houses] , cluster(cve_mun);
test treat=2.625;
outreg2 treat  using RE, nolabel  addstat(F test: (treat=2.625),  r(p)) append;
reg precios_diferencia_usd treat  _Icve_mun*   [pweight=houses] , cluster(cve_mun);
test treat=2.625;
outreg2 treat  using RE, nolabel  addstat(F test: (treat=2.625),  r(p)) append;
/*Impacts with attrition weighting*/
reg precios_diferencia_usd treat   [pweight=attrition_wgt] ;
test treat=2.625;
outreg2 treat  using RE, nolabel  addstat(F test: (treat=2.625),  r(p)) append;
reg precios_diferencia_usd treat  _Icve_mun*   [pweight=attrition_wgt] ;
test treat=2.625;
outreg2 treat  using RE, nolabel  addstat(F test: (treat=2.625),  r(p)) append;
/*Impacts with attrition times houses weighting*/
reg precios_diferencia_usd treat   [pweight=product_wgt] ;
test treat=2.625;
outreg2 treat  using RE, nolabel  addstat(F test: (treat=2.625),  r(p)) append;
reg precios_diferencia_usd treat  _Icve_mun*   [pweight=product_wgt] ;
test treat=2.625;
outreg2 treat  using RE, nolabel  addstat(F test: (treat=2.625),  r(p)) append;




/*FIGURE 2:  CDFs of price changes, treatment/control comparison:*/
#delimit;
preserve;
gen precios_treatment = precios_diferencia_usd if treat==1;
gen precios_control = precios_diferencia_usd if treat==0;
cumul precios_treatment [aw=houses], gen(p_t);
cumul precios_control [aw=houses], gen(p_c);
stack p_t precios_treatment p_c precios_control, into(c amt) wide clear;
sort amt;
label var p_t "Treatment Polygons";
label var p_c "Control Polygons";
tw line p_t amt if amt>-22.86 & amt<53.35, title("CDFs of Property Price Changes, by Treatment") subtitle("Real 2012 Dollar increases per square meter")
	 xtitle("Price change 2009-2012") note("Polygon-level averages") lpattern(_) lwidth(thick)  || line p_c amt  if amt>-22.86 & amt<53.35;
restore;
